Subject: Re: [PATCH 2/3] bpf_encoder: Translate SHN_XINDEX in symbol's st_shndx values

From: Jiri Olsa <[email-masked]>
Date: Fri, 22 Jan 2021 10:32:34 +0100

On Thu, Jan 21, 2021 at 03:32:40PM -0800, Andrii Nakryiko wrote:
> On Thu, Jan 21, 2021 at 12:25 PM Jiri Olsa <[email-masked]> wrote:
> >
> > For very large ELF objects (with many sections), we could
> > get special value SHN_XINDEX (65535) for symbol's st_shndx.
> >
> > This patch is adding code to detect the optional extended
> > section index table and use it to resolve symbol's section
> > index.
> >
> > Adding elf_symtab__for_each_symbol_index macro that returns
> > symbol's section index and usign it in collect_symbols function.
> >
> > Signed-off-by: Jiri Olsa <[email-masked]>
> > ---
> 
> You missed fixing up collect_function() as well, which is using
> elf_sym__section(), which doesn't know about extended numbering.

ah right, it's for modules, I guess it's why it did not show up

thanks,
jirka